Bug Hunting Session
Bug 88577 - EDITING: Can't place cursor after comment anchor at end of line using the mouse
Summary: EDITING: Can't place cursor after comment anchor at end of line using the mouse
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Text-Cursor
  Show dependency treegraph
 
Reported: 2015-01-19 10:16 UTC by Matthew Francis
Modified: 2018-12-28 17:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-01-19 10:16:06 UTC
There is currently no way to place the cursor after a comment anchor at the end of a line using the mouse. This has always been the case back to 3.3.0

Steps to reproduce:

1. Insert a comment (containing some random text so it doesn't auto-delete) into a blank Writer document, such that it is the last thing on a line of text
2. Click to the right of the comment anchor (and/or below the anchor if its line is the last in the document)
3. Type some text

Expected result:
- The text in (3) is typed after the comment anchor

Actual result:
- The text in (3) is typed before the comment anchor
Comment 1 Buovjaga 2015-01-29 18:02:59 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 2 Gordo 2015-02-27 16:09:49 UTC
Here is some comment anchor behaviour that I have noticed:

If a comment is added at the beginning of a line and you click before the word, then you have selected the comment anchor.  Hitting space or typing will delete the comment.   If you want to add letters to that word and keep the comment at the beginning of the word then you need to right arrow.  If you left arrow and add letters to the word, then the comment will stay where it was originally.   If the cursor is placed anywhere in the line after the comment then just hit home and you can add letters to the word, then the comment will stay where it was originally.

If a comment is added before a word in a sentence and you click before the word, then you have selected the comment anchor.  Hitting space or typing will delete the comment.  If you want to add letters to that word and keep the comment at the beginning of the word then you need to right arrow (you could always place the cursor after the first letter and left arrow).  If you left arrow then right arrow and add letters to the word, then the comment will stay where it was originally.

If a comment is added after a word in a sentence and you click after the word, then you have selected the comment anchor.  Hitting space or typing will delete the comment.  If you want to add letters to that word and keep the comment at the end of the word then you need to left arrow then right arrow to get to the end of the word.  (or ctrl+right if the cursor is in that word)  If you hit the right arrow to get to the end of the word and add letters to the word, then the comment will stay where it was originally.

a.)  If a comment is added at the end of a line and you click directly after the last word (before placing the cursor the dashed comment line becomes solid), then you have selected the comment anchor.  Hitting space or typing will delete the comment.  If you want to add letters to that word and keep the comment at the end of the word then you need to left arrow then right arrow to get to the end of the word.
b.)  If the cursor was placed after the last word with the mouse being more than slightly away from the last word then the comment anchor has not been selected.  If you want to add letters to that word and keep the comment at the end of the word then just type.  If you want to add another word/sentence then right arrow (the solid comment line becomes dashed).
c.)  If the cursor is placed anywhere in the line before the comment then just hit end to add another word/sentence.

Whenever the mouse and the keyboard have an argument, the keyboard always wants to have the last word.
Comment 3 tommy27 2016-04-16 07:26:29 UTC Comment hidden (obsolete)
Comment 4 Philipp Kewisch [:Fallen] 2016-10-20 11:05:27 UTC
I can confirm this is still an issue with LibreOffice 5.2.2.2. This is certainly not a major error since if you know it you can work around, but it has caused me to carry along the period at the end of the sentence a few times.

This is also an issue with the latest OpenOffice version so I assume the "inherited from OOo" version is still accurate.
Comment 5 QA Administrators 2017-10-23 14:12:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug